# dl eula
FLASH_EULA="http://www.macromedia.com/LANGUAGEshockwave/download/license/desktop/" # Where eula is located

# Language specific part
case $LANGUAGE in
  de*) FLASH_EULA_LANG="de/" # check if its really supported;;
esac

FLASH_EULA="${FLASH_EULA/LANGUAGE/$FLASH_EULA_LANG}" # check for localisations

$WGET -O "$TMPDIR/eula.html" $FLASH_EULA
if [ ! -s "$TMPDIR/eula.html" ] 
then
  $DIALOG --backtitle "$BT" --title "$ET" --msgbox $"Fatal error: Eula ($FLASH_EULA) could not be downloaded." 15 70 # error!
  return 1
fi
lynx -dump "$TMPDIR/eula.html" > "$TMPDIR/eula.txt"
    
if [ "$DIALOG" = "dialog" ]; 
then
  more $TMPDIR/eula.txt
  $DIALOG --backtitle "$BT" --title $"Installation of Macromedia Flash" --defaultno --yesno $"I have read the Macromedia EULA and accept it." 15 70
else
  XDIALOG_HIGH_DIALOG_COMPAT= $DIALOG --backtitle "$BT" --title $"Installation of Macromedia Flash"  --defaultno --textbox "$TMPDIR/eula.txt" 20 70
fi
[ $? -ne 0 ] && return 1 # exit program if eula was not accepted
return 0
